Subject: Remote presentations and chairing at IETF107

From: Meetecho IETF support <[email-masked]>
Date: Fri, 6 Mar 2020 15:02:43 +0100

Dear chairs,

the form to book remote presentation slots at IETF107 is available here:

	https://ietf107.conf.meetecho.com/index.php/Remote_presentations

As we do anticipate a number of remote presenters way higher than usual, 
it's important that you fill out the form so that we can get in touch 
with them beforehand. Self-arranging remote presentations through the 
Virtual Queue is not recommended.

If you need to chair a WG remotely, please fill out the form as well and 
state that in the "Message" field. Please bear in mind that you still 
need somebody on site to project the slides, push the red button, etc..

The list of scheduled remote presentations and chairing is available here:

	https://ietf107.conf.meetecho.com/list.php

Thanks,
the Meetecho team